/*
 * Copyright 2009-2010 by The Regents of the University of California
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * you may obtain a copy of the License from
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package edu.uci.ics.hyracks.algebricks.core.algebra.properties;

import java.util.Collection;

import edu.uci.ics.hyracks.algebricks.core.algebra.base.LogicalVariable;

public interface ILocalStructuralProperty extends IStructuralProperty {
    public enum PropertyType {
        LOCAL_GROUPING_PROPERTY,
        LOCAL_ORDER_PROPERTY
    }

    public void getVariables(Collection<LogicalVariable> variables);

    public PropertyType getPropertyType();
}
